#include <Adafruit_CircuitPlayground.h>

void setup() {
  CircuitPlayground.begin();
}

void turnOn(int n) {
  if (n == 7) {
    CircuitPlayground.setPixelColor(n, 255, 0, 0);
  } else if (n ==5 || n == 6) {
    CircuitPlayground.setPixelColor(n, 255, 255, 0);
  } else {
    CircuitPlayground.setPixelColor(n, 0, 255, 0);
  }
}

void turnOff(int n) {
  CircuitPlayground.setPixelColor(n, 0, 0, 0);
}

void openingTune() {
    CircuitPlayground.playTone(500, 500);
    CircuitPlayground.playTone(200, 200);
    CircuitPlayground.playTone(400, 800);
}

void gameOver(int n) {
  for (int i = 0; i <= 10; i++) {
    CircuitPlayground.setPixelColor(i, 255, 0, 0);
  }
  CircuitPlayground.playTone(200, 2000);
  CircuitPlayground.clearPixels();
  for(int i = 0; i < n; i++) {
    CircuitPlayground.setPixelColor(i, 0, 255,   0);
  }
  delay(2000);
  CircuitPlayground.clearPixels();
}

void loop() {
  while(true) {
    bool leftButtonPressed = CircuitPlayground.leftButton();
    bool rightButtonPressed = CircuitPlayground.rightButton();
      if(leftButtonPressed || rightButtonPressed) {
        break;
      }
  }
  openingTune();
  int i = 0;
  int del = 100;
  int score = 0;
  
  while(true) {
    bool leftButtonPressed = CircuitPlayground.leftButton();
    bool rightButtonPressed = CircuitPlayground.rightButton();
    
    turnOn(i);
    
    
    if(leftButtonPressed || rightButtonPressed) {
      if (i == 7) {
        CircuitPlayground.playTone(500, 100);
        delay(1000);
        del = del -10;
        score++;
      } else {
        CircuitPlayground.playTone(200, 100);
        delay(1000);
        gameOver(score);
        break;
      }
    }
    delay(del);
    turnOff(i);
    delay(del);
    i++;
    if(i > 10)
      i = 0;
  } 
}

